{
  description = "little-hesinde project";
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
    fenix.url = "github:nix-community/fenix";
  };

  outputs =
    {
      nixpkgs,
      flake-utils,
      fenix,
      ...
    }:
    flake-utils.lib.eachDefaultSystem (
      system:
      let
        pkgs = import nixpkgs { inherit system; };
        rust = fenix.packages.${system}.stable;
      in
      {
        devShells.default =
          with pkgs;
          mkShell {
            buildInputs = [
              geckodriver
              rust.toolchain
              cargo-deny
              rust-analyzer
            ];
          };
      }
    );
}
